<template>
    <div>
        <PlaceholderField :placeholder="placeholder" /><input
            v-model="checked"
            type="checkbox"
            :disabled="disabled"
        />
    </div>
</template>

<script>
import PlaceholderField from "@/components/PlaceholderField";
export default {
    name: "QuestCheckbox",
    components: { PlaceholderField },
    props: { value: [Number, String], placeholder: String, disabled: Boolean },
    computed: {
        checked: {
            get() {
                return Boolean(this.value);
            },
            set(value) {
                this.$emit("input", Number(value));
            },
        },
    },
    watch: {
        value: {
            immediate: true,
            handler(v) {
                if (v === null) this.checked = false;
            },
        },
    },
};
</script>

<style scoped></style>
